
=encoding utf8

=head1 NAME

Sidef::Types::Array::Vector

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Vector(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Array::Array

=head1 METHODS

=head2 &

    a & b

Returns the

Aliases: I<and>

=cut

=head2 *

    a * b

Returns the

Aliases: I<mul>

=cut

=head2 **

    a ** b

Returns the

Aliases: I<pow>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>

=cut

=head2 /

    a / b

Returns the

Aliases: I<÷>, I<div>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>

=cut

=head2 abs

    Vector.abs()

Returns the

=cut

=head2 atan2

    Vector.atan2()

Returns the

=cut

=head2 ceil

    Vector.ceil()

Returns the

=cut

=head2 chebyshev_dist

    Vector.chebyshev_dist()

Returns the

=cut

=head2 dist

    Vector.dist()

Returns the

=cut

=head2 dist_norm

    Vector.dist_norm()

Returns the

=cut

=head2 floor

    Vector.floor()

Returns the

=cut

=head2 manhattan_dist

    Vector.manhattan_dist()

Returns the

=cut

=head2 manhattan_norm

    Vector.manhattan_norm()

Returns the

=cut

=head2 neg

    Vector.neg()

Returns the

=cut

=head2 new

    Vector.new()

Returns the

Aliases: I<call>

=cut

=head2 norm

    Vector.norm()

Returns the

=cut

=head2 not

    Vector.not()

Returns the

=cut

=head2 round

    Vector.round()

Returns the

=cut

=head2 to_a

    Vector.to_a()

Returns the

Aliases: I<to_array>

=cut

=head2 to_s

    Vector.to_s()

Returns the

Aliases: I<dump>, I<to_str>

=cut

=head2 zero

    Vector.zero()

Returns the

=cut
